Infrastructure - Task #6619
Story # 6616 (Closed): release and deploy CCI-1.5.0

build the stable release for CCI-1.5.0
2014-11-18 19:40 - Rob Nahf

Status: Closed Start date: 2014-11-18
Priority: Normal Due date:

Assignee: Rob Nahf % Done: 100%
Category: Estimated time: 0.00 hour
Target version: CCI-1.5.0

Milestone: None Story Points:

Product Version: *

Description
http://mule1.dataone.org/OperationDocs/d1_software_development_guidelines.html

see Release Control tools section

History

#1 - 2014-11-19 17:59 - Dave Vieglais
- Target version set to CCI-1.5.0

#2 - 2014-11-21 20:21 - Rob Nahf

- Description updated

#3 - 2014-11-25 21:58 - Rob Nahf
- Status changed from New to In Progress

- % Done changed from 0 to 70

confirmed that the correct branches were being used in beta_build_control (matching the spreadsheet). Then confirmed that the artifact versions in
beta_build_control match the versions in stable_build_control.

Found error in beta_build_control - using the wrong branch for d1_test_resources, so committed the change.
Also found that d1_cn_approve_node has not been updated to use the latest D1 dependency versions.

org.dataone

d1_cn_approve_node

DataONE_Cn_Aprove_Node

1.1.2

DataOne Cn Aproval Client for Registered Member Nodes

http://dataone.org
jar

UTF-8
2.41

1.24
1.1.1

should be using d1_libclient_version 1.3.1, d1_cn_noderegistry_version 1.2.2
not sure of the hazelcast version, | think 2.6.9.

Once the d1_cn_approve_node is up-to-date we can tag.
#4 - 2014-11-25 22:28 - Robert Waltz

committed the pom.xml for d1_cn_approve_node with updates for 1.5.0

#5 - 2014-11-26 14:59 - Rob Nahf

I did an svn diff between all branches and tags designated by controlStageAndRelease.pl, as a sanity check on the tagging.
branches/D1_JIBX_EXTENSIONS_v1.1 and tags/D1_JIBX_EXTENSIONS_v1.1.1 shows that the pom differ in the location of the dataone maven
repository (see below).

This should be inconsequential, since d1_jibx_extensions has no d1 dependencies that would be in maven.dataone.org (or the other one). Building
on Jenkins will test this assumption - if it builds we should be out of the proverbial woods. Looking at the logs for
tags/D1_JIBX_EXTENSIONS_v1.1.1, | note that it was built in June, 2014 (tagging was done Nov. 2014, and the latest update to
branches/D1_JIBX_EXTENSIONS_v1.1 was Oct. 2014). The diff shown below was done Nov. 26, 2014.

svn diff https:/repository.dataone.org/software/cicore/branches/D1_JIBX _EXTENSIONS v1.1
https://r itory. ne.or ftware/cicor /D1_JIBX_EXTENSIONS vi.1.1 ...

Index: pom.xml

---pom.xml  (.../branches/D1_JIBX_EXTENSIONS_v1.1) (revision 14871)
+++ pom.xml  (.../tags/D1_JIBX_EXTENSIONS_v1.1.1) (revision 14871)
@@ -99,7 +99,7 @@

dataone.org
- http://maven. ne.or

+ http://dev-testing.dataone.org/maven

true

#6 - 2014-11-26 15:02 - Rob Nahf
- File cci.1.5.0.tag.out.2.txt added
- File cci.1.5.0.tag.out.txt added

- File cci.1.5.0.tag.out.txt added

- File cci.1.5.0.tag.out.2.txt added

#7 - 2014-11-26 15:53 - Rob Nahf

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0
- % Done changed from 70 to 100

- Assignee set to Rob Nahf
https://repository.dataone.org/software/cicore/tags/D1_JIBX_EXTENSIONS_v1.1.1
http://maven.dataone.org/
http://dev-testing.dataone.org/maven

Jenkins Build_Stable completed successfully.

Files
cci.1.5.0.tag.out.txt 21.1 KB 2014-11-26 Rob Nahf
cci.1.5.0.tag.out.2.txt 20.2 KB 2014-11-26 Rob Nahf
